Desabilitar assinatura de webhook
curl --request POST \
--url https://api.korbit.com.br/v1/webhook-subscriptions/{id}/disable \
--header 'Authorization: Bearer <token>' \
--header 'idempotency-key: <idempotency-key>'import requests
url = "https://api.korbit.com.br/v1/webhook-subscriptions/{id}/disable"
headers = {
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'idempotency-key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.korbit.com.br/v1/webhook-subscriptions/{id}/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"environment": "live",
"eventTypes": [
"payment.created.v1"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "ACTIVE",
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>"
}{
"createdAt": "2023-11-07T05:31:56Z",
"environment": "live",
"eventTypes": [
"payment.created.v1"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "ACTIVE",
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}Webhook Subscriptions
Desabilitar assinatura de webhook
Interrompe a entrega imediatamente e preserva a assinatura para reativação no painel.
POST
/
v1
/
webhook-subscriptions
/
{id}
/
disable
Desabilitar assinatura de webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required string length:
1 - 255Path Parameters
Response
Default Response
Available options:
live, test Minimum array length:
1Available options:
payment.created.v1, payment.requires_action.v1, payment.succeeded.v1, payment.failed.v1, refund.requested.v1, refund.updated.v1, refund.succeeded.v1, payout.requested.v1, payout.updated.v1, dispute.opened.v1, dispute.updated.v1, merchant.kyc.updated.v1, merchant.status.updated.v1 Available options:
ACTIVE, DISABLED, ERROR, PENDING Maximum string length:
2000Was this page helpful?